Subject: RE: [Sip] Question on RFC 3263

From: "Christer Holmberg (LMF)" <[email-masked]>
Date: Mon, 2 Jun 2003 07:33:27 +0200

Hi Jonathan,

>>>but in any case, the UAS shouldnt terminate the call just because
>>>the 18x never got a PRACK.
>> 
>>What if the UAS includes an SDP in the reliable 18x? Shall it
>>assume that the UAC will terminate the call if it doesn't receive
>>an SDP when it expect to do so?
> 
>Why would the UAC expect an SDP?

Eg if the INVITE did not contain SDP.

Also, assume we have a pre-condition scenario, where multiple offer/answer transactions are needed before the called party is even alerted. The pre-condition setup will be "halted" if SDPs aren't received. Now, I don't know if pre-condition setups really require SDPs to be sent in specific messages, but at least the nodes expect to receive SDPs, so then the question is how long they shall "wait" for them before taking actions (ie releasing the setup).

>In any case, as I said genreally a call is not terminated because a 18x never gets a prack.

I didn't see the word "generally" :) Anyway, I think (and I guess that's what you meant too) nodes have make that decission case-by-case. After all, the major reason PRACK is used in the first place is to make sure that 18x provisional responses really DO reach the UAC. If one didn't "care", or if the information (SDP, encapslulated ISUP... whatever) carried in the 18x response had no meaning for the session, why use PRACK in the first place?

Regards,

Christer Holmberg
Ericsson Finland

> 
> -Jonathan R.
> 
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Scientist                             Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Brett Tate" <[email-masked]>
Date: Mon, 2 Jun 2003 11:25:28 -0400

> >> Actually, before that even happens the client 
> >> transaction will simply terminate at the UAC. See:
> >> 
> >> 
> http://www.ietf.org/internet-drafts/draft-sparks-sip-noninvite-00.txt
> >> 
> >> 
> >> but in any case, the UAS shouldnt terminate the 
> >> call just because the 18x never got a PRACK.
> > 
> > 
> > What if the UAS includes an SDP in the reliable 18x? 
> > Shall it assume that the UAC will terminate the call 
> > if it doesn't receive an SDP when it expect to do so?
> 

The following is from RFC 3262 section 5:

  "If the UAC receives a reliable provisional 
   response with an offer (this would occur if 
   the UAC sent an INVITE without an offer, in
   which case the first reliable provisional 
   response will contain the offer), it MUST 
   generate an answer in the PRACK.  If the 
   UAC receives a reliable provisional response 
   with an answer, it MAY generate an additional 
   offer in the PRACK.  If the UAS receives a 
   PRACK with an offer, it MUST place the answer 
   in the 2xx to the PRACK."

> In any case, as I said genreally a call is not 
> terminated because a 18x never gets a prack.

The following is from RFC 3262 section 3:

  "If a reliable provisional response is 
   retransmitted for 64*T1 seconds without 
   reception of a corresponding PRACK, the 
   UAS SHOULD reject the original request 
   with a 5xx response."